*Read text file with 6x6 correlation matrix (lower triangular) into 6 variables
infix v1 1-4 v2 6-9 v3 11-14 v4 16-19 v5 21-24 v6 26-29 using "subject.txt", clear
	
*Convert to symmetric matrix 
mkmat v1-v6, matrix(C)
mata: st_replacematrix("C",makesymmetric(st_matrix("C")))

*Name matrix rows and columns
matrix rownames C = gaelic english history arithmetic algebra geometry
matrix colnames C = gaelic english history arithmetic algebra geometry

*Display correlation matrix (Table 5.2)
matrix list C

/*
pca command
Loadings are raw coefficients a, not rescaled a*
*/

pcamat C, n(220)

*Scree plot (Fig 5.4)
screeplot

*Component loadings (rescaled coefficients a*, Table 5.4)
estat loadings, cnorm(eigen)

*Component score coefficients (Table 5.8)
estat loadings, cnorm(inveigen)

/*
factor command (with principal factor method)
Loadings are rescaled coefficients a*
*/

*Equivalently as factor analysis using 'principal factor' method
*Components loadings are rescaled by default
factormat C, n(220) pcf

*Loading plot (Fig 5.5)
loadingplot, xlabel(-1(0.5)1) ylabel(-1(0.5)1) xline(0) yline(0)




